io.vertx.groovy.core.eventbus

## Class MessageProducer_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.core.eventbus.MessageProducer_GroovyExtension

-     public class MessageProducer_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageProducer_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageProducer<Object>` | `deliveryOptions(MessageProducer j_receiver, Map<String,Object> options)`
    `static void` | `end(MessageProducer j_receiver, Object t)`
    `static MessageProducer<Object>` | `send(MessageProducer j_receiver, Object message)`
    `static <R> MessageProducer<Object>` | `send(MessageProducer j_receiver, Object message, Handler<AsyncResult<Message<Object>>> replyHandler)`
    `static MessageProducer<Object>` | `write(MessageProducer j_receiver, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageProducer_GroovyExtension

          public MessageProducer_GroovyExtension()

  - ### Method Detail

    - #### end

          public static void end(MessageProducer j_receiver,
                                 Object t)

    - #### send

          public static MessageProducer<Object> send(MessageProducer j_receiver,
                                                     Object message)

    - #### send

          public static <R> MessageProducer<Object> send(MessageProducer j_receiver,
                                                         Object message,
                                                         Handler<AsyncResult<Message<Object>>> replyHandler)

    - #### write

          public static MessageProducer<Object> write(MessageProducer j_receiver,
                                                      Object data)

    - #### deliveryOptions

          public static MessageProducer<Object> deliveryOptions(MessageProducer j_receiver,
                                                                Map<String,Object> options)

Copyright © 2017. All rights reserved.